import { Observable } from 'rxjs';
import { NeuronAddress } from '../../../../types/base';
import { ServiceDeps } from '../types';
import ParticlesResolverQueue from '../ParticlesResolverQueue/ParticlesResolverQueue';
declare class SyncTransactionsLoop {
    private isInitialized$;
    private db;
    private particlesResolver;
    private _loop$;
    get loop$(): Observable<any> | undefined;
    private statusApi;
    private params;
    constructor(deps: ServiceDeps, particlesResolver: ParticlesResolverQueue);
    start(): this;
    private syncAllTransactions;
    syncTransactions(myAddress: NeuronAddress, address: NeuronAddress, addCyberlinksToSync?: boolean): Promise<void>;
}
export default SyncTransactionsLoop;
